Bug 188583 - [PATCH] editors/emacs: modernize
Summary: [PATCH] editors/emacs: modernize
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ashish SHUKLA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-14 03:30 UTC by Steve Wills
Modified: 2014-04-22 12:30 UTC (History)
1 user (show)

See Also:


Attachments
emacs24-24.3.patch (2.67 KB, patch)
2014-04-14 03:30 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2014-04-14 03:30:00 UTC
- Use shebangfix so grep-changelog doesn't refer to /usr/bin/perl
- USES=tar:xz
- Use new LIB_DEPENDS format
- Bump portrevision due to package change due to shebangfix

Port maintainer (ashish@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)
Comment 1 dfilter service freebsd_committer 2014-04-14 05:38:05 UTC
Author: ashish
Date: Mon Apr 14 04:38:01 2014
New Revision: 351248
URL: http://svnweb.freebsd.org/changeset/ports/351248
QAT: https://qat.redports.org/buildarchive/r351248/

Log:
  - Update to 24.3.90 (latest pretest)
  - Switch to USES[0]
  - Use new LIB_DEPENDS format[0]
  
  PR:		ports/188583

Modified:
  head/editors/emacs-devel/Makefile
  head/editors/emacs-devel/distinfo

Modified: head/editors/emacs-devel/Makefile
==============================================================================
--- head/editors/emacs-devel/Makefile	Mon Apr 14 02:42:39 2014	(r351247)
+++ head/editors/emacs-devel/Makefile	Mon Apr 14 04:38:01 2014	(r351248)
@@ -2,12 +2,11 @@
 # $FreeBSD$
 
 PORTNAME=	emacs
-PORTVERSION=	${EMACS_VER}.${EMACS_REV}
+PORTVERSION=	${EMACS_VER}
 PORTEPOCH=	2
 CATEGORIES=	editors ipv6
-MASTER_SITES=	http://distfiles.pirateparty.in/%SUBDIR%/ \
-		${MASTER_SITE_LOCAL}
-MASTER_SITE_SUBDIR=	ashish
+MASTER_SITES=	GNU_ALPHA
+MASTER_SITE_SUBDIR=	emacs/pretest	
 PKGNAMESUFFIX=	-devel
 
 MAINTAINER=	ashish@FreeBSD.org
@@ -21,17 +20,16 @@ CONFLICTS=	emacs-19.* emacs21-[0-9]* ema
 		xemacs-mule-[0-9]* xemacs-devel-mule-[0-9]* \
 		emacs-nox11-[0-9]*
 
-EMACS_VER=	24.3.50
-EMACS_REV=	116732
+EMACS_VER=	24.3.90
 GNU_CONFIGURE=	yes
-USES=		ncurses pkgconfig
-USE_GMAKE=	yes
-USE_XZ=		yes
+USES=		ncurses pkgconfig gmake shebangfix tar:xz
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 INFO_PATH=	${DATADIR_REL}/info
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
-USE_AUTOTOOLS=	autoconf:env automake:env aclocal:env autoheader:env
+USE_AUTOTOOLS=	autoconf:env aclocal:env automake:env autoheader:env
+
+SHEBANG_FILES=	${WRKSRC}/lib-src/grep-changelog
 
 # Append --without-compress-install to prevent emacs from compressing info
 # which bsd.port.mk is not able to detect
@@ -46,8 +44,8 @@ MAKE_ENV=	LC_ALL=C
 
 INFO=		ada-mode auth autotype bovine calc ccmode cl dbus dired-x \
 		ebrowse ede ediff edt efaq eieio eintr elisp emacs-mime emacs-gnutls emacs epa \
-		erc ert eshell eudc flymake forms gnus htmlfontify idlwave ido info \
-		mairix-el message mh-e newsticker nxml-mode \
+		erc ert eshell eudc eww flymake forms gnus htmlfontify idlwave ido info \
+		mairix-el message mh-e newsticker nxml-mode octave-mode \
 		org pcl-cvs pgg rcirc reftex remember sasl sc semantic ses sieve \
 		smtpmail speedbar srecode todo-mode tramp url vip viper widget wisent woman
 
@@ -84,13 +82,13 @@ SOUND_CONFIGURE_OFF=	--with-sound=no
 ALSA_CONFIGURE_ON=		--with-sound=alsa
 OSS_CONFIGURE_ON=		--with-sound=oss
 
-DBUS_LIB_DEPENDS=		dbus-1:${PORTSDIR}/devel/dbus
+DBUS_LIB_DEPENDS=		libdbus-1.so:${PORTSDIR}/devel/dbus
 DBUS_CONFIGURE_WITH=		dbus
 
 GNUTLS_CONFIGURE_WITH=	gnutls
 
-GNUTLS3_LIB_DEPENDS=	gnutls:${PORTSDIR}/security/gnutls3
-GNUTLS2_LIB_DEPENDS=	gnutls:${PORTSDIR}/security/gnutls
+GNUTLS3_LIB_DEPENDS=	libgnutls.so:${PORTSDIR}/security/gnutls3
+GNUTLS2_LIB_DEPENDS=	libgnutls.so:${PORTSDIR}/security/gnutls
 
 XML_USE=		GNOME=libxml2
 XML_CONFIGURE_WITH=	xml2
@@ -107,7 +105,7 @@ GTK2_CONFIGURE_ON=	--with-x-toolkit=gtk2
 GTK3_USE=	GNOME=gtk30
 GTK3_CONFIGURE_ON=	--with-x-toolkit=gtk3
 
-XAW3D_LIB_DEPENDS=	Xaw3d:${PORTSDIR}/x11-toolkits/Xaw3d
+XAW3D_LIB_DEPENDS=	libXaw3d.so:${PORTSDIR}/x11-toolkits/Xaw3d
 XAW3D_CONFIGURE_ON=	--with-x-toolkit=athena
 
 XAW_USE=	XORG=xaw
@@ -120,32 +118,32 @@ SCROLLBARS_CONFIGURE_WITH=	toolkit-scrol
 
 SYNC_INPUT_CONFIGURE_WITH=	sync-input
 
-JPEG_LIB_DEPENDS=	jpeg:${PORTSDIR}/graphics/jpeg
+JPEG_LIB_DEPENDS=	libjpeg.so:${PORTSDIR}/graphics/jpeg
 JPEG_CONFIGURE_WITH=	jpeg
 
-TIFF_LIB_DEPENDS=	tiff:${PORTSDIR}/graphics/tiff
+TIFF_LIB_DEPENDS=	libtiff.so:${PORTSDIR}/graphics/tiff
 TIFF_CONFIGURE_WITH=	tiff
 
-GIF_LIB_DEPENDS=	gif:${PORTSDIR}/graphics/giflib
+GIF_LIB_DEPENDS=	libgif.so:${PORTSDIR}/graphics/giflib
 GIF_CONFIGURE_WITH=	gif
 
-PNG_LIB_DEPENDS+=	png15:${PORTSDIR}/graphics/png
+PNG_LIB_DEPENDS+=	libpng15.so:${PORTSDIR}/graphics/png
 PNG_CONFIGURE_WITH=	png
 
 XPM_USE=		XORG=xpm
 XPM_CONFIGURE_WITH=	xpm
 
 XFT_USE=		XORG=xft
-XFT_LIB_DEPENDS=	freetype:${PORTSDIR}/print/freetype2
+XFT_LIB_DEPENDS=	libfreetype.so:${PORTSDIR}/print/freetype2
 XFT_CONFIGURE_WITH=	xft
 
-M17N_LIB_DEPENDS=	m17n:${PORTSDIR}/devel/m17n-lib
+M17N_LIB_DEPENDS=	libm17n.so:${PORTSDIR}/devel/m17n-lib
 M17N_CONFIGURE_WITH=	m17n-flt
 
-OTF_LIB_DEPENDS=	otf:${PORTSDIR}/print/libotf
+OTF_LIB_DEPENDS=	libotf.so:${PORTSDIR}/print/libotf
 OTF_CONFIGURE_WITH=	libotf
 
-MAGICK_LIB_DEPENDS=	MagickCore:${PORTSDIR}/graphics/ImageMagick
+MAGICK_LIB_DEPENDS=	libMagickCore.so:${PORTSDIR}/graphics/ImageMagick
 MAGICK_CONFIGURE_WITH=	imagemagick
 
 GSETTINGS_USE=			gnome=glib20

Modified: head/editors/emacs-devel/distinfo
==============================================================================
--- head/editors/emacs-devel/distinfo	Mon Apr 14 02:42:39 2014	(r351247)
+++ head/editors/emacs-devel/distinfo	Mon Apr 14 04:38:01 2014	(r351248)
@@ -1,2 +1,2 @@
-SHA256 (emacs-24.3.50.116732.tar.xz) = b04fa64cd7a2cee8dd28f73c4e886c7963e095142a4b712bb8fbf619b307d000
-SIZE (emacs-24.3.50.116732.tar.xz) = 30661920
+SHA256 (emacs-24.3.90.tar.xz) = f82ed8db1e225b760eba09ab37a5a908160e7e76158143bc0d0ac23fd0e6a30f
+SIZE (emacs-24.3.90.tar.xz) = 39407604
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 Ashish SHUKLA freebsd_committer 2014-04-14 05:40:22 UTC
Hi

Thanks for the diff. I've incorporate couple of these changes to
editors/emacs-devel port, and will incorporate them to this port (with
corrected name, ofcourse) as well.

Thanks
-- 
Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
Sent from my Emacs
Comment 3 Edwin Groothuis freebsd_committer 2014-04-20 18:08:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ashish

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 4 dfilter service freebsd_committer 2014-04-22 12:21:16 UTC
Author: ashish
Date: Tue Apr 22 11:21:12 2014
New Revision: 351809
URL: http://svnweb.freebsd.org/changeset/ports/351809
QAT: https://qat.redports.org/buildarchive/r351809/

Log:
  - Fix CONFLICTS to silence portlint warnings
  - Add 'USES=shebangfix' to fix perl path of grep-changelog.[1][2]
  - Convert 'USE_XZ' to 'USES=tar.xz'.[1][2]
  - Convert to new LIB_DEPENDS format.[1][2]
  - Remove deprecated and needless MAN1 setting.[1][2]
  
  PR:		ports/188583[1], ports/188720[2]
  Submitted by:	swills[1], Yasuhiro KIMURA <yasu@utahmime.org>[2]

Modified:
  head/editors/emacs/Makefile

Modified: head/editors/emacs/Makefile
==============================================================================
--- head/editors/emacs/Makefile	Tue Apr 22 10:56:49 2014	(r351808)
+++ head/editors/emacs/Makefile	Tue Apr 22 11:21:12 2014	(r351809)
@@ -21,23 +21,21 @@ LICENSE_FILE=	${WRKSRC}/COPYING
 
 MAKE_JOBS_SAFE=	yes
 
-CONFLICTS=	emacs-19.* emacs21-* emacs22-* emacs23-* \
+CONFLICTS=	emacs-19.* emacs21-[0-9]* emacs22-[0-9]* emacs23-[0-9]* \
 		xemacs-[0-9]* xemacs-devel-[0-9]* \
 		xemacs-mule-[0-9]* xemacs-devel-mule-[0-9]* \
-		emacs-devel-*
+		emacs-devel-[0-9]*
 
 EMACS_VER=	24.3
 GNU_CONFIGURE=	yes
-USES=		ncurses gmake pkgconfig
-USE_XZ=		yes
+USES=		ncurses gmake pkgconfig shebangfix tar:xz
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 INFO_PATH=	${DATADIR_REL}/info
 CONFIGURE_ARGS=	--localstatedir=/var --without-compress-info
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
+SHEBANG_FILES=	lib-src/grep-changelog
 
-MAN1=		ctags.1 ebrowse.1 emacs.1 emacsclient.1 etags.1 \
-		grep-changelog.1
 PLIST_SUB=	EMACS_VER=${EMACS_VER} INFODIR=${INFO_PATH}
 
 EMACS_DIRS=	${DATADIR}/${EMACS_VER}/leim ${DATADIR}/${EMACS_VER}/lisp ${DATADIR}/${EMACS_VER}/src \
@@ -86,14 +84,14 @@ CANNA_CONFIGURE_ON=	--with-canna \
 			--with-canna-libraries=${LOCALBASE}/lib
 CANNA_PATCH_SITES=	http://distfiles.pirateparty.in/%SUBDIR%/ ${MASTER_SITE_LOCAL}
 CANNA_PATCHFILES=	emacs24.3canna-20130321.diff.gz
-CANNA_LIB_DEPENDS=	canna:${PORTSDIR}/japanese/canna-lib
+CANNA_LIB_DEPENDS=	libcanna.so:${PORTSDIR}/japanese/canna-lib
 
 SOUND_CONFIGURE_WITH=		sound
 
-DBUS_LIB_DEPENDS=		dbus-1:${PORTSDIR}/devel/dbus
+DBUS_LIB_DEPENDS=		libdbus-1.so:${PORTSDIR}/devel/dbus
 DBUS_CONFIGURE_WITH=		dbus
 
-GNUTLS_LIB_DEPENDS=	gnutls:${PORTSDIR}/security/gnutls
+GNUTLS_LIB_DEPENDS=	libgnutls.so:${PORTSDIR}/security/gnutls
 GNUTLS_CONFIGURE_WITH=	gnutls
 
 XML_USE=		GNOME=libxml2
@@ -108,7 +106,7 @@ GTK2_CONFIGURE_ON=	--with-x-toolkit=gtk2
 GTK3_USE=	GNOME=gtk30
 GTK3_CONFIGURE_ON=	--with-x-toolkit=gtk3
 
-XAW3D_LIB_DEPENDS=	Xaw3d:${PORTSDIR}/x11-toolkits/Xaw3d
+XAW3D_LIB_DEPENDS=	libXaw3d.so:${PORTSDIR}/x11-toolkits/Xaw3d
 XAW3D_CONFIGURE_ON=	--with-x-toolkit=athena
 
 XAW_USE=	XORG=xaw
@@ -121,32 +119,32 @@ SCROLLBARS_CONFIGURE_WITH=	toolkit-scrol
 
 SYNC_INPUT_CONFIGURE_WITH=	sync-input
 
-JPEG_LIB_DEPENDS=	jpeg:${PORTSDIR}/graphics/jpeg
+JPEG_LIB_DEPENDS=	libjpeg.so:${PORTSDIR}/graphics/jpeg
 JPEG_CONFIGURE_WITH=	jpeg
 
-TIFF_LIB_DEPENDS=	tiff:${PORTSDIR}/graphics/tiff
+TIFF_LIB_DEPENDS=	libtiff.so:${PORTSDIR}/graphics/tiff
 TIFF_CONFIGURE_WITH=	tiff
 
-GIF_LIB_DEPENDS=	gif:${PORTSDIR}/graphics/giflib
+GIF_LIB_DEPENDS=	libgif.so:${PORTSDIR}/graphics/giflib
 GIF_CONFIGURE_WITH=	gif
 
-PNG_LIB_DEPENDS+=	png15:${PORTSDIR}/graphics/png
+PNG_LIB_DEPENDS+=	libpng15.so:${PORTSDIR}/graphics/png
 PNG_CONFIGURE_WITH=	png
 
 XPM_USE=		XORG=xpm
 XPM_CONFIGURE_WITH=	xpm
 
 XFT_USE=		XORG=xft
-XFT_LIB_DEPENDS=	freetype:${PORTSDIR}/print/freetype2
+XFT_LIB_DEPENDS=	libfreetype.so:${PORTSDIR}/print/freetype2
 XFT_CONFIGURE_WITH=	xft
 
-M17N_LIB_DEPENDS=	m17n:${PORTSDIR}/devel/m17n-lib
+M17N_LIB_DEPENDS=	libm17n.so:${PORTSDIR}/devel/m17n-lib
 M17N_CONFIGURE_WITH=	m17n-flt
 
-OTF_LIB_DEPENDS=	otf:${PORTSDIR}/print/libotf
+OTF_LIB_DEPENDS=	libotf.so:${PORTSDIR}/print/libotf
 OTF_CONFIGURE_WITH=	libotf
 
-MAGICK_LIB_DEPENDS=	MagickCore:${PORTSDIR}/graphics/ImageMagick
+MAGICK_LIB_DEPENDS=	libMagickCore.so:${PORTSDIR}/graphics/ImageMagick
 MAGICK_CONFIGURE_WITH=	imagemagick
 
 GSETTINGS_USE=			gnome=glib20
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Ashish SHUKLA freebsd_committer 2014-04-22 12:22:12 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!